export function isType(type) {
    return function (obj) {
        return (
            obj !== null
            && (Array.isArray(type) ? type : [type]).some(
                (t) => Object.prototype.toString.call(obj) === `[object ${t}]`,
            )
        );
    };
}

export const isObj = isType('Object');

export const getObj = (obj) => (isObj(obj) ? obj : {});

export const getArr = (arr) => (Array.isArray(arr) ? arr : []);
